Skip to content

Update Keyword List

This endpoint updates Keyword List.

POST https://adelion.com/api/kwlist/update
ParameterTypeDescriptionRequirement
IdintKeyword list ID.required
NamestringKeyword list’s name.optional
JSON payload example
{
"KeywordList": {
"Id": 1,
"Name": "Keyword List 1"
}
}
Success JSON
{
"Status": "Ok",
"KeywordList": {
"Id": 1,
"TeamId": 1,
"Name": "Keyword List 1",
"KeywordCount": 5,
"Status": 0,
"StatusString": "Active"
}
}
Error JSON
{
"Status": "Error",
"Error": "[error description]"
}
CodeStatusMeaning
400Bad RequestYou sent a body that isn’t JSON.
401UnauthorizedYour access token is invalid.
406Not AcceptableOne or more JSON values are missing or malformed, or the requested object was not found.
500Internal Server ErrorThe server encountered a problem. Try again later.